const React = require('react')

class Main extends React.Component {
  render () {
    const {
      todos,
      onChecked
    } = this.props

    return <div>
      <img src='./static/image.png' />
      <h1>Sample App</h1>
      {todos.map((todo, index) => <div
        key={index}
        className={todo.checked ? 'highlighted' : null}
      >
        <input
          id={`todo-${index}`}
          type='checkbox'
          defaultChecked={todo.checked}
          onChange={e => { onChecked(index, e.target.checked) }}
        />
        <label htmlFor={`todo-${index}`}>{todo.text}</label>
      </div>)}
    </div>
  }
}
module.exports = Main
